Skip to main content
GET
Get share of voice accumulated over a date range

Authorizations

x-api-key
string
header
required

Organization-scoped API key. Available scopes:

  • content:read: Read site pages, markdown content, and llms.txt files
  • content:write: Create, update, and delete site pages and content
  • prompts:read: Read prompts, topics, prompt suggestions, and prompt analysis results
  • prompts:write: Create, update, archive prompts and generate, edit, or review prompt suggestions
  • simulations:read: Read agent-simulation tasks, runs, environments, and analytics
  • simulations:write: Create and trigger simulation runs
  • logs:read: Read AI-traffic logs and request-level audit events
  • analytics:read: Read analytics aggregates (rankings, mentions, sources, SOV)
  • analytics:write: Write events to analytics
  • products:read: Read product metadata and competitor data
  • products:write: Update product settings and competitor lists

Query Parameters

productId
string
required

Product ID to use as the share of voice scope.

Minimum string length: 1
viewId
string

View ID to restrict the calculation to the view's prompts.

Minimum string length: 1
engine
string

Answer engine to include in the calculation.

Minimum string length: 1
regionId
string

Region to include in the calculation.

Minimum string length: 1
start
string

First UTC day included in the calculation, formatted as YYYY-MM-DD. Must be supplied with end. Defaults to 29 days before today.

Pattern: ^\d{4}-\d{2}-\d{2}$
end
string

Last UTC day included in the calculation, formatted as YYYY-MM-DD. Must be supplied with start. Defaults to today.

Pattern: ^\d{4}-\d{2}-\d{2}$

Response

Successful response

ok
enum<boolean>
required
Available options:
true
data
object
required